Page MenuHomePhabricator

Bug report: Missing number of hits in resultset when displaying a Map
Closed, ResolvedPublic

Description

User case: When looking at a WDQS generated map the number of hits helps getting an understanding of the dataset displayed

Background: Before latest upgrade of WDQS with the new toolbars last week I am 99% sure that you could minimize the small "overview map" and see the number of hits in the result set.

This functionality is now gone ==> that you as an user looking at the map view you need to change to the query view and rerun the question.....

Video

Event Timeline

Salgo60 created this task.Aug 14 2018, 10:45 AM
Restricted Application added a project: Wikidata. · View Herald TranscriptAug 14 2018, 10:45 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Jonas moved this task from Backlog to Bugs on the Wikidata Query UI board.Aug 15 2018, 10:28 AM

Yes, it was removed when introducing the toolbar, but we can easily add it again.
Where would you like it to be shown?

@Jonas hm User Interface Design is not on my list of skills.....

Do what is easy and not "destroy" current design...

  • WIth the new design maybe as part of the left or right vertical bar
  • Or a mouse over the overview map
  • or .....

Change 452929 had a related patch set uploaded (by Jonas Kress (WMDE); owner: Jonas Kress (WMDE)):
[wikidata/query/gui@master] Add query totals to right toolbar

https://gerrit.wikimedia.org/r/452929

Jonas moved this task from Incoming to Peer Review on the Wikidata-Campsite board.
Jonas claimed this task.

I added it to the right toolbar.

Thanks let me know if I should test something.....

Change 452929 merged by jenkins-bot:
[wikidata/query/gui@master] Add query totals to right toolbar

https://gerrit.wikimedia.org/r/452929

Change 452967 had a related patch set uploaded (by WDQSGuiBuilder; owner: WDQSGuiBuilder):
[wikidata/query/gui-deploy@production] Merging from f589fe44c27a10e1d071fe056472c1297258c318:

https://gerrit.wikimedia.org/r/452967

Change 452967 merged by Smalyshev:
[wikidata/query/gui-deploy@production] Merging from f589fe44c27a10e1d071fe056472c1297258c318:

https://gerrit.wikimedia.org/r/452967

This is there now but overlapped by the small map.

What is the exact problem?
Do you maybe have a screenshot?

(Small map can be collapsed)

At the moment toolbars are always behind the map controls.
If this is a problem I could create a new ticket for that.

Yeah that's the problem. For me there is no arrow inside the small map. It isn't visible that it can be minimized.

Salgo60 added a comment.EditedAug 27 2018, 10:15 AM

Its difficult to find but excellent its there is my opinion....

the case with 0 result I think should be better taken care of

Example table view with 0 result

Example map view with 0 result

http://tinyurl.com/yc9wjza7

Jonas moved this task from Bugs to Done on the Wikidata Query UI board.Aug 28 2018, 9:53 AM

There is already a ticket for this T178786: Empty map results give an error